### Virtual Method

# Clutter Transition compute_value

#### Declaration [src]

    void
    compute_value (
      ClutterTransition* transition,
      ClutterAnimatable* animatable,
      ClutterInterval* interval,
      gdouble progress
    )

#### Description [src]

Virtual function; called each frame to compute and apply the interpolation of the interval.

#### Parameters

`animatable`

  Type: `ClutterAnimatable`

  No description available.

  The data is owned by the caller of the method.

`interval`

  Type: `ClutterInterval`

  No description available.

  The data is owned by the caller of the method.

`progress`

  Type: `gdouble`

  No description available.